'use strict';

angular.module('adf.widget.electre.symod')
    .directive('symodChartDisplay', [
        "lavoisierHttpRequestService", "parserService", "NgTableParams", "SYMOD_TEMPLATE_PATH", "$sce",
        function (lavoisierHttpRequestService, parserService, NgTableParams, SYMOD_TEMPLATE_PATH, $sce) {
            var templateUrl_;


            return {
                scope : {
                    control : '='
                },
                link : function (scope, element, attrs) {
                    scope.width      = scope.control.width + (scope.control.widthPercentage ? "%" : "");
                    scope.height     = scope.control.height + (scope.control.heightPercentage ? "%" : "");
                    scope.type       = scope.control.type;
                    scope.chart      = {
                        caption          : "This is the caption",
                        subCaption       : "This is the subcaption",
                        captionAlignment : "left",
                        captionpadding   : "30",
                        numberPrefix     : "This is the number prefix",

                        bgcolor                 : "00FF00",
                        divlinecolor            : "FF00FF",
                        plotgradientcolor       : "",
                        showalternatehgridcolor : "0",

                        linethickness           : "3",

                        yaxisvaluespadding      : "10",

                        showvalues       : "0",
                        showcanvasborder : "0",
                        showborder       : "0"

                    };
                    scope.categories = [
                        {
                            category : [
                                { label : "1LabelCategory" },
                                { label : "2LabelCategory" },
                                { label : "3LabelCategory" },
                                { label : "4LabelCategory" },
                                { label : "5LabelCategory" },
                                { label : "6LabelCategory" },
                                { label : "7LabelCategory" },
                                { label : "8LabelCategory" },
                                { label : "9LabelCategory" },
                                { label : "10LabelCategory" },
                                { label : "11LabelCategory" }
                            ]
                        }
                    ];
                    scope.dataset    = [
                        {
                            seriesname : "This is the serie name",
                            data : [
                                { value : "1" },
                                { value : "2" },
                                { value : "3" },
                                { value : "4" },
                                { value : "5" },
                                { value : "6" },
                                { value : "7" },
                                { value : "8" },
                                { value : "9" },
                                { value : "10" },
                                { value : "11" }
                            ]
                        }
                    ];

                    templateUrl_ = "success.html";
                    scope.valid = true;

                    scope.getTemplateUrl = function () {
                        if (scope.valid)        return SYMOD_TEMPLATE_PATH + "/" + templateUrl_;
                        else if (scope.error)   return SYMOD_TEMPLATE_PATH + "/error.html";
                        else                    return false; 
                        
                    };
                },
                template : "<div ng-include='getTemplateUrl()'></div>"
            };
        }
    ]);